Subject: Re: can't access PCIe card under sbc8548

From: "tiejun.chen" <[email-masked]>
Date: Thu, 30 May 2013 17:30:01 +0800

On 05/30/2013 05:15 PM, wolfking wrote:
> hi, tiejun.chen:
>    When I use ioremap, the card seems to work fine. That is, I can access

Yes, ioremap() should work for MMIO.

> part of all register. My PCIe card is a rs232 expand card, it has some
> standard UART register, for example the SCR(scratch register). My driver
> can access the SCR(write and read) normally, but the other registers
> behave odd. For example, the DLM should be 0, but it reads 5. The card
> has a software reset bit, when it is set to 1, the card reset itself. When
> it finished reset, this reset bit should be back to 0. But In sbc8548, when
> I set this
> bit, it remains high. So I guess, the area I accessed is not the PCIe card,

I suspect you're missing some load/storage sync code, so what is your R/W 
function exactly?

Tiejun